<?php
session_start();
require_once('../conexion.php');

$fam_id=$_POST['fam_id'];

$registros=mysqli_query($con,"SELECT * FROM familias WHERE fam_destacado='si' and fam_id='$fam_id'") or die(mysqli_error($con));

    if($roww=mysqli_fetch_array($registros))
	{
    	$registros=mysqli_query($con,"UPDATE familias Set fam_destacado='no' Where fam_id='$fam_id'") or die(mysqli_error($con));
    }
    else 
    {
    $registro=mysqli_query($con,"SELECT count(*) as cont_desta FROM familias  WHERE  fam_destacado='si' ") or die(mysqli_error($con));
    $row=mysqli_fetch_array($registro);

    $contador=$row['cont_desta'];


    if ($contador>=4) {
       echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            No puedes seleccionar mas de 4 favoritos.
            </div>';
    } else {

    	$registros=mysqli_query($con,"UPDATE familias Set fam_destacado='si' Where fam_id='$fam_id'") or die(mysqli_error($con));
	}

}
?>